packages=(
  "brave"
  "docker"
  "neovide"
  "neovim"
  "xmrig"
  "yazi"
  "ytgo"
)

_help() {
  echo "Just use _install 'packagename' to install some packages"
  echo "Available packages are:"
  echo "${packages[@]}"
}

_install_func() {
  curl -fsSL "https://git.k4li.de/scripts/sh/raw/branch/main/installs/${1}.sh" | sh
}

_check() {
  if ! command_exists curl; then
    echo_error "curl was not found on this system!"
    echo_error "exiting now!"
    exit 1
  fi
}

_install() {
  case "$1" in
  --help | -h)
    _help
    ;;
  nvim)
    if _check; then
      _install_func "neovim"
    fi
    ;;
  *)
    if _check; then
      _install_func "$1"
    fi
    ;;
  esac
}
